Loading...
Searching...
No Matches
juce::NetworkServiceDiscovery::AvailableServiceList Struct Reference

## Detailed Description

Watches the network for broadcasts from Advertiser objects, and keeps a list of all the currently active instances.

Just create an instance of AvailableServiceList and it will start listening - you can register a callback with its onChange member to find out when services appear/disappear, and you can call getServices() to find out the current list.

See also
  Service, Advertiser

The documentation for this struct was generated from the following file:

- juce_events/interprocess/juce_NetworkServiceDiscovery.h

Inheritance diagram for juce::NetworkServiceDiscovery::AvailableServiceList:

## Public Member Functions

| AvailableServiceList (const String &serviceTypeUID, int broadcastPort)
| Creates an AvailableServiceList that will bind to the given port number and watch the network for Advertisers broadcasting the given service type.
| ~AvailableServiceList () override
| Destructor.
std::vector< Service > | getServices () const
| Returns a list of the currently known services.

## Public Attributes

std::function< void()> | onChange
| A lambda that can be set to receive a callback when the list changes.

## Constructors and Destructors

## AvailableServiceList()

juce::NetworkServiceDiscovery::AvailableServiceList::AvailableServiceList | ( | const String & | serviceTypeUID,
|  | int | broadcastPort )

Creates an AvailableServiceList that will bind to the given port number and watch the network for Advertisers broadcasting the given service type.

This will only detect broadcasts from an Advertiser object with a matching serviceTypeUID value, and where the broadcastPort matches.

## ~AvailableServiceList()

juce::NetworkServiceDiscovery::AvailableServiceList::~AvailableServiceList | ( |  | ) |

override

Destructor.

## Member Functions

## getServices()

std::vector< Service > juce::NetworkServiceDiscovery::AvailableServiceList::getServices | ( |  | ) | const

Returns a list of the currently known services.

## Member Data Documentation

## onChange

std::function<void()> juce::NetworkServiceDiscovery::AvailableServiceList::onChange

A lambda that can be set to receive a callback when the list changes.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited